package com.ruoyi.model.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.model.mapper.AppletConfigMapper;
import com.ruoyi.model.domain.AppletConfig;
import com.ruoyi.model.service.IAppletConfigService;

/**
 * 配置信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-27
 */
@Service
public class AppletConfigServiceImpl implements IAppletConfigService 
{
    @Autowired
    private AppletConfigMapper appletConfigMapper;

    /**
     * 查询配置信息
     * 
     * @param paramCode 配置信息主键
     * @return 配置信息
     */
    @Override
    public AppletConfig selectAppletConfigByParamCode(String paramCode)
    {
        return appletConfigMapper.selectAppletConfigByParamCode(paramCode);
    }

    /**
     * 查询配置信息列表
     * 
     * @param appletConfig 配置信息
     * @return 配置信息
     */
    @Override
    public List<AppletConfig> selectAppletConfigList(AppletConfig appletConfig)
    {
        return appletConfigMapper.selectAppletConfigList(appletConfig);
    }

    /**
     * 新增配置信息
     * 
     * @param appletConfig 配置信息
     * @return 结果
     */
    @Override
    public int insertAppletConfig(AppletConfig appletConfig)
    {
        return appletConfigMapper.insertAppletConfig(appletConfig);
    }

    /**
     * 修改配置信息
     * 
     * @param appletConfig 配置信息
     * @return 结果
     */
    @Override
    public int updateAppletConfig(AppletConfig appletConfig)
    {
        return appletConfigMapper.updateAppletConfig(appletConfig);
    }

    /**
     * 批量删除配置信息
     * 
     * @param paramCodes 需要删除的配置信息主键
     * @return 结果
     */
    @Override
    public int deleteAppletConfigByParamCodes(String[] paramCodes)
    {
        return appletConfigMapper.deleteAppletConfigByParamCodes(paramCodes);
    }

    /**
     * 删除配置信息信息
     * 
     * @param paramCode 配置信息主键
     * @return 结果
     */
    @Override
    public int deleteAppletConfigByParamCode(String paramCode)
    {
        return appletConfigMapper.deleteAppletConfigByParamCode(paramCode);
    }
}
